var isMobile = {
    Android: function(){ return navigator.userAgent.match(/Android/i);},
    BlackBerry: function(){ return navigator.userAgent.match(/BlackBerry/i);},
    iOS: function(){ return navigator.userAgent.match(/iPhone|iPad|iPod/i);},
    Opera: function(){ return navigator.userAgent.match(/Opera Mini/i);},
    Windows: function(){ return navigator.userAgent.match(/IEMobile/i);},
    any: function(){ return (isMobile.Android() || isMobile.BlackBerry() || isMobile.iOS() || isMobile.Opera() || isMobile.Windows());}
};
var mobileDevice = (isMobile.any() != null);

function parseQueryData(query) {
  var data = query.split("&");
  var result = {};
  for(var i=0; i<data.length; i++) {
    var item = data[i].split("=");
    result[item[0]] = item[1];
  }
  return result;
}

function initializeCalendar(){	
	window.cData = getCalendarData(null, window.selectedDay, window.currentMonth, window.currentYear);
	firstIndex = window.cData.firstIndex;
	lastIndex = window.cData.lastIndex;
	firstrowdays = window.cData.firstrowdays;
	rows = window.cData.rows;
	previousMonth = window.cData.previousMonth;
	daysInMonth = window.cData.daysInMonth;
	
	if(window.firstRun){
		fillCurrentMonth(firstIndex, lastIndex, firstrowdays, rows, previousMonth, daysInMonth);
		window.firstRun = 0;
	}else{
		prepareMonth(firstIndex, lastIndex, firstrowdays, rows, previousMonth, daysInMonth);
		if(window.action == "next"){
			$('#dates').animate({
				left: "-536px"
			  }, 300, function() {
					$('#current_month').html($('#next_month').html());
					$(this).css("left", "-268px");
					resetMonths();
					fillCurrentMonth(firstIndex, lastIndex, firstrowdays, rows, previousMonth, daysInMonth);
			  });
		}else{
			$('#dates').animate({
				left: "0"
			  }, 300, function() {
					$('#current_month').html($('#previous_month').html());
					$(this).css("left", "-268px");
					resetMonths();			
					fillCurrentMonth(firstIndex, lastIndex, firstrowdays, rows, previousMonth, daysInMonth);
			  });
		}
	}
	$('#month_year').html(window.monthNames[window.currentMonth]+" "+window.currentYear);	
	$('#month').val(window.currentMonth);
	$('#year').val(window.currentYear);
	moveEventsBoard();	
}

function resetMonths(){
	var id1 = "next_month";
	var id2 = "previous_month";
	for (var n = 1; n<=rows; n++) {
		for (var m = 1; m<=7; m++) {
			box1 = $('#'+ id1 +' > [data-pos="'+n+'_'+m+'"]');
			box2 = $('#'+ id2 +' > [data-pos="'+n+'_'+m+'"]');
			box1.html(window.eventHTML);
			box1.removeClass().addClass("day");
			box2.html(window.eventHTML);
			box2.removeClass().addClass("day");						
		}
	}	
}

function getToday() {
	currentDate = new Date();
	window.currentDay = currentDate.getDate();
	window.currentMonth = currentDate.getMonth()+1;
	window.currentYear = currentDate.getFullYear();
	window.currentDateYear = window.currentYear;
	window.currentDateMonth = window.currentMonth;
}
function prepareMonth(firstIndex, lastIndex, firstrowdays, rows, previousMonth, daysInMonth) {
	if(!window.action){ return; }
	var id = (window.action == "next") ? "next_month" : "previous_month";
	var counter = 0;
	var nextCounter = 0;
	var day;
	for (var n = 1; n<=rows; n++) {
		for (var m = 1; m<=7; m++) {
			box = $('#'+ id +' > [data-pos="'+n+'_'+m+'"]');
			day = "";
			if (n == 1 && m<firstIndex) {
				day = (previousMonth-(7-firstrowdays))+m;
				box.html(day+window.eventHTML).attr("data-val", day);
				setDayStatus(box, "outOfMonth");				
			} else {
				if (counter<=daysInMonth) {
					counter++;
					if(counter <= daysInMonth){
					day = counter;
					box.html(day+window.eventHTML).attr("data-val", day);
					setDayStatus(box, "classic");
					}
				}
				if ((counter>daysInMonth) && (lastIndex<7) && (n<=rows)) {
					nextCounter++;
					day = nextCounter;
					box.html(day+window.eventHTML).attr("data-val", day);
					setDayStatus(box, "outOfMonth");					
				}
			}
		}
		box = null;
	}
}

function setDayStatus(box, className){
	box.removeClass();
	box.addClass("day");
	box.addClass(className);
}

function fillCurrentMonth(firstIndex, lastIndex, firstrowdays, rows, previousMonth, daysInMonth) {
	restoreDim();
	var eventsDates = null;
	var peventsDates = null;
	var neventsDates = null;
	eventsDates = window.cData.eventsDates.split("|");
	peventsDates = window.cData.peventsDates.split("|");	
	neventsDates = window.cData.neventsDates.split("|");
	var counter = 0;
	var nextCounter = 0;
	var box;
	var day;
	for (var n = 1; n<=6; n++) {
		for (var m = 1; m<=7; m++) {
			box = $('#current_month > [data-pos="'+n+'_'+m+'"]');
			if (n == 1 && m<firstIndex) {
				day = (previousMonth-(7-firstrowdays))+m;
				box.html(day+window.eventHTML).attr("data-val", day);
				setDayStatus(box, "outOfMonth");
				if(peventsDates[day-1] == day){
					setDayStatus(box, "outOfMonthWithEvent");
					$('#current_month > [data-pos="'+n+'_'+m+'"] span').css("display", "inline");
				}
			} else {
				if (counter<=daysInMonth) {
					counter++;
					if(counter <= daysInMonth){
						day = counter;
						box.html(day+window.eventHTML).attr("data-val", day);
						setDayStatus(box, "classic");
						if(eventsDates[day-1] == day){
							setDayStatus(box, "classicWithEvent");
							$('#current_month > [data-pos="'+n+'_'+m+'"] span').css("display", "inline");
						}
					if(counter == window.selectedDay){
						box.html(day+window.eventHTML).attr("data-val", day);
						setDayStatus(box, "classicSelected");						
						if(eventsDates[day-1] == day){
							setDayStatus(box, "classicWithEventSelected");
							$('#current_month > [data-pos="'+n+'_'+m+'"] span').css("display", "inline");
						}
					}

					if((counter == window.currentDay) && (window.currentYear == window.currentDateYear) && (window.currentMonth == window.currentDateMonth)) {
						box.html(day+window.eventHTML).attr("data-val", day);
						setDayStatus(box, "today");						
						if(eventsDates[day-1] == day){
							setDayStatus(box, "todayWithEvent");
							$('#current_month > [data-pos="'+n+'_'+m+'"] span').css("display", "inline");	
						}
						if((counter == window.selectedDay) || !window.selectedDay){
							window.selectedDay = counter;
							box.html(day+window.eventHTML).attr("data-val", day);
							setDayStatus(box, "todaySelected");								
							if(eventsDates[day-1] == day){
								setDayStatus(box, "todayWithEventSelected");
								$('#current_month > [data-pos="'+n+'_'+m+'"] span').css("display", "inline");	
							}
						}
					}
					}
				}
				if ((counter>daysInMonth) && (lastIndex<7) && (n<=rows)) {
					nextCounter++;
					day = nextCounter;
					box.html(day+window.eventHTML).attr("data-val", day);
					setDayStatus(box, "outOfMonth");
					if(neventsDates[day-1] == day){
						setDayStatus(box, "outOfMonthWithEvent");
						$('#current_month > [data-pos="'+n+'_'+m+'"] span').css("display", "inline");
					}
				}			
			}
		}
	}

	if(!window.selectedDay){
		window.selectedDay = 1;
		box = $('#current_month > [data-pos="1_'+firstIndex+'"]');
		box.html(1+window.eventHTML).attr("data-val", 1);
		setDayStatus(box, "classicSelected");
		if(eventsDates[0]==1){
			setDayStatus(box, "classicWithEventSelected");
		}
	}
	box = null;
	getEvents();	
	window.action = null;
}

function selectDay(day){
	window.selectedDay = day;
	hideDateChanger();
	fillCurrentMonth(window.cData.firstIndex, window.cData.lastIndex, window.cData.firstrowdays, window.cData.rows, window.cData.previousMonth, window.cData.daysInMonth, false);
}

function handleClick(elm){
	var day = elm.attr('data-val');
	selectDay(day);	
	if(elm.hasClass("outOfMonth") || elm.hasClass("outOfMonthWithEvent")){
		if(day < 10){
			nextMonth();
		}else{
			prevMonth();
		}
	}
}

function nextMonth() {
	$("#eventsBoard .eventButton").remove();
	$('#noEvents').show();
	var currentMonth = window.currentMonth;
	var currentYear = window.currentYear;
	var nextMonth = currentMonth+1;
	var nextYear = currentYear;
	if (nextMonth == 13) {
		nextMonth = 1;
		nextYear++;
	}
	window.action = "next";
	window.currentMonth = nextMonth;
	window.currentYear = nextYear;
	window.eventsDates = null;
	window.peventsDates = null;
	window.neventsDates = null;
	initializeCalendar();
}


function prevMonth() {
	$("#eventsBoard .eventButton").remove();
	$('#noEvents').show();
	var currentMonth = window.currentMonth;
	var currentYear = window.currentYear;
	var previousMonth = currentMonth-1;
	var previousYear = currentYear;
	if (previousMonth == 0) {
		previousMonth = 12;
		previousYear--;
	}
	window.action = "previous";
	window.currentMonth = previousMonth;
	window.currentYear = previousYear;
	window.eventsDates = null;
	window.peventsDates = null;
	window.neventsDates = null;
	initializeCalendar();
}

function loadDate(){
	var selectedMonth = parseInt($('#month').val());
	var selectedYear = parseInt($('#year').val());
	hideDateChanger();
	if(selectedMonth == window.currentMonth && selectedYear == window.currentYear) return false;
	$("#eventsBoard .eventButton").remove();
	$('#noEvents').show();
	window.currentMonth = selectedMonth;
	window.currentYear = selectedYear;
	window.eventsDates = null;
	window.peventsDates = null;
	window.neventsDates = null;
	initializeCalendar();	
}

function showDateChanger(){
	$('#changeDate').animate({
		top: 0
	}, 300);
}
function hideDateChanger(){
	$('#changeDate').animate({
		top: -42
	}, 300);
}

function moveEventsBoard(){
	var rows = window.cData.rows;
	var endPoint = (window.cellHeight * 6 - (rows * window.cellHeight));
	endPoint = (!endPoint) ? 0 : 0 - endPoint;
	$('#eventsBoard').animate({
		top: endPoint
	  }, 300);	  
}

function scrollEvents(){
	if(window.eventsData.numOfEvents > 3){ // scroll the events list	
		var subjectHeight = 0;
		var viewportHeight = (15 * window.cData.rows) + ((6-window.cData.rows)*15);			
		$('.eventButton').each(function(){
			subjectHeight += $(this).outerHeight();
		});	
		if(!mobileDevice){	
			var viewportWidth = $('#eventsBoard').width();
			var divide=2;
			var parentOffset;
			var mouseX;
			var mouseY;
			var percent;
			var step;
			var dif;
			var newY;
			var initialY = 7;
			var subjectY = parseInt($('#eventsBoard').css("top"));
			$('#eventButtons').css("top", "100px");
			newY = initialY;
			$('#eventButtons').animate({
				top: newY
			}, 300);

			$('#eventsBoard').mousemove(function(event){
				parentOffset = $(this).parent().offset();
				mouseX = parseInt(event.pageX - parentOffset.left);
				mouseY = parseInt(event.pageY - (parentOffset.top + 84 + (window.cellHeight * window.cData.rows)));
				mouseY=(mouseY < 0) ? 0 : mouseY;
				mouseY=(mouseY > viewportHeight) ? viewportHeight : mouseY;
				percent=parseInt(100*(mouseY/viewportHeight))-10;
				percent = (percent < 0) ? 0 : percent;
				if(mouseX > 0 && mouseX < viewportWidth){
					newY = initialY - parseInt((subjectHeight-viewportHeight)*(percent/100));
				}else{
					mouseX = 0;
					newY = initialY;
				}
				subjectY = parseInt($('#eventButtons').css("top"));
				if(subjectY > newY){
					dif = subjectY - newY;
					dif = (dif < 0) ? 0 : dif;
					step = parseInt(dif/divide);
					$('#eventButtons').stop().animate({
						top: (subjectY - step)
					}, 20);					
				}
				if(subjectY < newY){
					dif = newY - subjectY;
					dif = (dif < 0) ? 0 : dif;
					step = parseInt(dif/divide);
					$('#eventButtons').stop().animate({
						top: (subjectY + step)
					}, 20);					
				}
				step = (step < 0) ? 0 : step;	
			});
			$('#eventsBoard').mouseleave(function(event){
				mouseX = 0;
				newY = initialY;
				$('#eventButtons').animate({
					top: newY
				}, 300);
			});			
		}else{
			$('#ody_calendar').css("height", (450 + (subjectHeight-viewportHeight)) + "px");
			$('#ody_calendar').css("overflow-y", "visible");
			$('#eventButtons').css("position", "relative");
			$('#eventsBoard').css("overflow", "visible");
		}
	}else{
		restoreDim();
	}
}

function restoreDim(){
	$("#eventsBoard").unbind("mousemove");
	$("#eventsBoard").unbind("mouseleave");
	$('#ody_calendar').css("height", "450px");
	$('#eventButtons').css("position", "absolute");	
	$('#ody_calendar').css("overflow-y", "hidden");
	$('#eventsBoard').css("overflow", "hidden");	
}
