<?php
/*
Odyssey view file
Filename must be like "view_sectionName.php"
Reference to controller variables must be in form $this->varName

Use $p for template path, for example $p/images/logo.png
*/


// *****************************************************************************

$autoView = false; // Warning! You need to set this to false in order to use your custom view below

// *****************************************************************************

if($autoView){ // you may change this above, setting it as false in order to use your default view starting below
	
	include("view.php");
	
}else{ // you custom layout starts here!!!



global $langID;
$section = "articles";
$sectionID = $system->getTableSectionID($section);
$item = $this->item;
$title = "ΑΡΘΡΑ";

if($id){ 
	$title = $item->title;
	$articleID = $id;
	$title = $item->title;
	$subtitle = $item->subtitle;
	$body = $item->body;
	$catName = $categories->getCategoryName($item->catID, "content_".$section."_categories", $langID);	
	$published = t("Δημοσιεύτηκε")." : ".$dates->makeDatefromTimestamp($item->published);
}
echo $custom->mainHeader($catName);
$messages->printSystemMessages();
if($messages->hasErrors) {
	?>
	<div style='height: 200px'></div>
	<?php 
}else{
	$defaultImage = $content->getImage($section, $articleID, $langID, 'default');
	$imgDescription = $content->getImageDescription($defaultImage, $articleID, $sectionID, $langID);
	$imgDim = GetImageSize("mediabank/medium/medium_".$defaultImage);
	$w = $imgDim[0];
	$h = $imgDim[1];
	$medium_height = ($h > 250) ? 250 : $h; // calculate main image container height
	$hasFiles = $content->getNumOfFiles($sectionID, $articleID, $langID);
	$hasVideos = $content->getNumOfVideos($sectionID, $articleID, $langID);
	$videoGallery = $this->getModules("video_gallery");
	
	if($title != "empty"){
	?>
	<div class="article_header">
		<?php echo $title;?>
	</div>
<?php 
}
	if($content->getNumOfImages($section, $articleID, $langID)){ // Υπάρχουν εικόνες σ' αυτή την εγγραφή
	?>
	<div class="article_images_container">
	<?php	
	if($defaultImage != "."){ // if a default image exists for this record
	?>
	<div class="article_image_container">
	<img style="display:none" src="mediabank/medium/medium_<?php echo $defaultImage;?>" alt="image">
	<div style="background: url(mediabank/medium/medium_<?php echo $defaultImage;?>) center center no-repeat; overflow:hidden; width: 326px; height:<?php echo $medium_height;?>px;">
	<a href="mediabank/images/<?php echo $defaultImage;?>" data-rel="fb" title="<?php echo $imgDescription;?>" rel="fb-<?php echo $articleID;?>"> <img src="images/blank.gif" width="326" height="<?php echo $medium_height;?>" class="zoomable" alt="<?php echo $imgDescription;?>" title="<?php echo $imgDescription." - ".t('Κάντε κλικ για μεγέθυνση');?>" /> </a>
	</div>
	</div>
<?php 
}	
	if($content->getNumOfImages($section, $articleID, $langID) > 1){ // Υπάρχουν περισσότερες εικόνες σ' αυτή την εγγραφή
		$theImages = $content->getImages($section, $articleID, $langID, array('default', 'logo', 'slider')); // get all other images except the logo and slider images
		$counter = 0;
		foreach($theImages as $image){
			$counter++;
			$imgDim = GetImageSize("mediabank/medium/medium_".$image);
			$w = $imgDim[0];
			$h = $imgDim[1];	
			$imgDim = $imgDim[3]; // html formated image size	
			$imgDescription = $content->getImageDescription($image, $articleID, $sectionID, $langID);
			$thumb_space = ($counter % 2) ? " thumb_space" : null;
			?>
		<div class="article_thumb_container<?php echo $thumb_space;?>">
		<div style="background: url(mediabank/medium/medium_<?php echo $image;?>) center center no-repeat; overflow:hidden; width: 157px; height:157px;">
		<a href="mediabank/images/<?php echo $image;?>" data-rel="fb" title="<?php echo $imgDescription;?>" rel="fb-<?php echo $articleID;?>"> <img src="images/blank.gif" width="157" height="157" class="zoomable" alt="<?php echo $imgDescription;?>" title="<?php echo $imgDescription." - ".t('Κάντε κλικ για μεγέθυνση');?>" /> </a>
		<img  style="display:none" src="mediabank/medium/medium_<?php echo $image;?>" alt="article image" />
		</div> 
		</div>
	<?php 
}
	}

if($hasVideos && !count($videoGallery)){
	$videos = $content->getVideos($sectionID, $articleID);
	?>
<div style="clear:both; height:20px;"></div>
<?php 
echo $custom->relatedVideosHeader("ΣΧΕΤΙΚΑ VIDEO");
	foreach($videos as $video){
		$videotitle = $video->title;
		$youtubeCode = $video->youtubeCode;
		
		?>
<div class="article_image_container" style="margin-bottom:20px">
	<iframe width="326" height="260" src="http://www.youtube.com/embed/<?php echo $youtubeCode;?>?wmode=transparent" style="border:none"></iframe>
</div>
<?php 
}
}



if($hasFiles){
	$hasPDF = false;
	$files = $content->getFiles($sectionID, $articleID);	
?>
<div style="clear:both; height:20px;"></div>
<?php echo $custom->relatedFilesHeader("ΣΧΕΤΙΚΑ ΑΡΧΕΙΑ"); ?>
<div class="related_content">
<?php
	foreach($files as $file){
		$filetitle = $fileSystem->getFileTitle("files", $file->id, $articleID, $file->bankID);
		$ext = $fileSystem->getExtensionByFileTypeID($fileSystem->getFileTypeID($file->bankID));
		if($ext == "pdf") $hasPDF = true;
		?>
<div class="fileLinkDiv" style="margin:7px">
	<a href="mediabank/<?php echo $file->bankID.'.'.$ext;?>" target="_blank"> <img src="images/icons/filetype_<?php echo $ext;?>.gif" alt="Download file" style="border: 0"/> </a><br />
	<?php echo $filetitle;?>
</div>
</div>
<?php 
}
	if($hasPDF){
		?>
<div style="border-top: 1px solid silver; text-align:right; padding:5px 0; clear:left;">
	<a href="http://get.adobe.com/reader/" data-rel="external"><img src="images/get_adobe_reader.png" width="149" height="36" alt="Get Adobe Reader"></a>
</div>
<?php 
}

}
	?>
	</div>
	<?php 
}
	?>
<div class="article_subtitle"><?php echo $subtitle;?></div>
<div class="article_published"><?php echo $published;?></div>
<?php 
$content->displayFontAdjustments("right");
$additionalClass = (!$content->getNumOfAttachments($section, $id, $langID)) ? " col" : null;
?>
<div id="article" class="article_body<?php echo $additionalClass;?> hyphenate"><?php echo $content->richText($body);?></div>
<div style="clear:both"></div>
<?php
$this->includeModules("video_gallery");
?>
<div style="text-align:right; margin-top:15px"><a class="link_btn" href="javascript:void(0)" onclick="window.history.back();"><?php echo t('επιστροφή'); ?></a></div>
<div style="clear:both; height: 30px"></div>
<?php
if($item->title){
	$this->includeModules("fb_comments");
	$this->includeModules("comments");
}
}


}
?>